javax.xml.ws.handler.soap

## Interface SOAPHandler<T extends SOAPMessageContext>

- All Superinterfaces:
    Handler<T>

      public interface SOAPHandler<T extends SOAPMessageContext>
      extends Handler<T>

  The `SOAPHandler` class extends `Handler` to provide typesafety for the message context parameter and add a method to obtain access to the headers that may be processed by the handler.
  Since:
    JAX-WS 2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<QName>` | `getHeaders()` Gets the header blocks that can be processed by this Handler instance.

    - ### Methods inherited from interface javax.xml.ws.handler.Handler

      `close, handleFault, handleMessage`

- - ### Method Detail

    - #### getHeaders

          Set<QName> getHeaders()

      Gets the header blocks that can be processed by this Handler instance.
      Returns:
        Set of `QNames` of header blocks processed by this handler instance. `QName` is the qualified name of the outermost element of the Header block.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.